Page MenuHomePhabricator

MySQL rounds coordinates improperly
Closed, ResolvedPublic

Description

prop=coordinates query e.g. https://en.m.wikipedia.org/w/api.php?action=query&format=jsonfm&prop=coordinates&colimit=1&titles=Wikimedia%20Foundation&continue rounds our coordinates (37.78697, -122.399677) to (37.787, -122.4) which is a lot if you're near this point. The cause is MySQL rounding arbitrarily the FLOAT values returned.

Event Timeline

MaxSem created this task.Dec 16 2014, 10:26 PM
MaxSem raised the priority of this task from to Medium.
MaxSem updated the task description. (Show Details)
MaxSem added a project: GeoData.
MaxSem changed Security from none to None.
MaxSem added a subscriber: MaxSem.
bearND added a subscriber: bearND.Dec 17 2014, 3:11 AM
phuedx added a subscriber: phuedx.Feb 19 2015, 11:30 AM

@MaxSem's patch has been merged.

phuedx closed this task as Resolved.Feb 19 2015, 11:34 AM
phuedx claimed this task.
Deskana moved this task from Backlog to Resolved on the Mobile-Apps board.Mar 10 2015, 4:25 PM